4Suite™ API Documentation

# ► Module Ft.Server.Server.Lib.SwishHelper

Classes: SwishParameters |  |  |  | Functions: GenerateSwishParams, Index, ReIndex, SearchDocuments, ShaPath |  |  |  | Fields: SWISH_SCHEMA

## Classes

class SwishParameters
Data structure which hold information about 4SS's swish configuration

### Methods

__init__(self)

## Functions

GenerateSwishParams()
Index(uri, xmlSrc, repo)
ReIndex(repo)
SearchDocuments(searchString, repo)
ShaPath(path, repo, addToModel=1)

## Fields

SWISH_SCHEMA = 'http://schemas.4suite.org/4ss#metaxml.swish'